#----------------------------------------------------------------------------
# soft_dsp.mak
# copyright (c) innovaphone 2014
#----------------------------------------------------------------------------

SRC += $(IP_SRC)/common/audio/soft_dsp/sdsputil.cpp
BOXOBJS += $(OUTDIR)/obj/sdsputil.$(OBJ_EXT)
$(OUTDIR)/obj/sdsputil.$(OBJ_EXT): $(IP_SRC)/common/audio/soft_dsp/sdsputil.cpp

SRC += $(IP_SRC)/common/audio/soft_dsp/resample.cpp
BOXOBJS += $(OUTDIR)/obj/resample.$(OBJ_EXT)
$(OUTDIR)/obj/resample.$(OBJ_EXT): $(IP_SRC)/common/audio/soft_dsp/resample.cpp

ifeq ($(PRIMARY),phoneorchid)
else

SRC += $(IP_SRC)/common/audio/soft_dsp/g711plc.cpp
BOXOBJS += $(OUTDIR)/obj/g711plc.$(OBJ_EXT)
$(OUTDIR)/obj/g711plc.$(OBJ_EXT): $(IP_SRC)/common/audio/soft_dsp/g711plc.cpp

SRC += $(IP_SRC)/common/audio/soft_dsp/compand.cpp
BOXOBJS += $(OUTDIR)/obj/compand.$(OBJ_EXT)
$(OUTDIR)/obj/compand.$(OBJ_EXT): $(IP_SRC)/common/audio/soft_dsp/compand.cpp

SRC += $(IP_SRC)/common/audio/soft_dsp/g722.cpp
BOXOBJS += $(OUTDIR)/obj/g722.$(OBJ_EXT)
$(OUTDIR)/obj/g722.$(OBJ_EXT): $(IP_SRC)/common/audio/soft_dsp/g722.cpp

SRC += $(IP_SRC)/common/audio/soft_dsp/g726.cpp
BOXOBJS += $(OUTDIR)/obj/g726.$(OBJ_EXT)
$(OUTDIR)/obj/g726.$(OBJ_EXT): $(IP_SRC)/common/audio/soft_dsp/g726.cpp

SRC += $(IP_SRC)/common/audio/soft_dsp/sdtmf.cpp
BOXOBJS += $(OUTDIR)/obj/sdtmf.$(OBJ_EXT)
$(OUTDIR)/obj/sdtmf.$(OBJ_EXT): $(IP_SRC)/common/audio/soft_dsp/sdtmf.cpp

ifdef __ANDROID__

SRC += $(IP_SRC)/common/audio/soft_dsp/sparslec.cpp
BOXOBJS += $(OUTDIR)/obj/sparslec.$(OBJ_EXT)
$(OUTDIR)/obj/sparslec.$(OBJ_EXT): $(IP_SRC)/common/audio/soft_dsp/sparslec.cpp

SRC += $(IP_SRC)/common/audio/soft_dsp/dyncompr.cpp
BOXOBJS += $(OUTDIR)/obj/dyncompr.$(OBJ_EXT)
$(OUTDIR)/obj/dyncompr.$(OBJ_EXT): $(IP_SRC)/common/audio/soft_dsp/dyncompr.cpp

SRC += $(IP_SRC)/common/audio/soft_dsp/peaklim.cpp
BOXOBJS += $(OUTDIR)/obj/peaklim.$(OBJ_EXT)
$(OUTDIR)/obj/peaklim.$(OBJ_EXT): $(IP_SRC)/common/audio/soft_dsp/peaklim.cpp

else
ifdef _IOS_

else

SRC += $(IP_SRC)/common/audio/soft_dsp/sparslec.cpp
BOXOBJS += $(OUTDIR)/obj/sparslec.$(OBJ_EXT)
$(OUTDIR)/obj/sparslec.$(OBJ_EXT): $(IP_SRC)/common/audio/soft_dsp/sparslec.cpp

SRC += $(IP_SRC)/common/audio/soft_dsp/sbfpfft.cpp
BOXOBJS += $(OUTDIR)/obj/sbfpfft.$(OBJ_EXT)
$(OUTDIR)/obj/sbfpfft.$(OBJ_EXT): $(IP_SRC)/common/audio/soft_dsp/sbfpfft.cpp

#AEC_FLOATING_POINT = 1
ifdef AEC_FLOATING_POINT
SRC += $(IP_SRC)/common/audio/soft_dsp/fft.cpp
BOXOBJS += $(OUTDIR)/obj/fft.$(OBJ_EXT)
$(OUTDIR)/obj/fft.$(OBJ_EXT): $(IP_SRC)/common/audio/soft_dsp/fft.cpp
SRC += $(IP_SRC)/common/audio/soft_dsp/freqaecf.cpp
BOXOBJS += $(OUTDIR)/obj/freqaecf.$(OBJ_EXT)
$(OUTDIR)/obj/freqaecf.$(OBJ_EXT): $(IP_SRC)/common/audio/soft_dsp/freqaecf.cpp
else
SRC += $(IP_SRC)/common/audio/soft_dsp/freqaec.cpp
BOXOBJS += $(OUTDIR)/obj/freqaec.$(OBJ_EXT)
$(OUTDIR)/obj/freqaec.$(OBJ_EXT): $(IP_SRC)/common/audio/soft_dsp/freqaec.cpp
endif

SRC += $(IP_SRC)/common/audio/soft_dsp/sfir.cpp
BOXOBJS += $(OUTDIR)/obj/sfir.$(OBJ_EXT)
$(OUTDIR)/obj/sfir.$(OBJ_EXT): $(IP_SRC)/common/audio/soft_dsp/sfir.cpp

SRC += $(IP_SRC)/common/audio/soft_dsp/slec.cpp
BOXOBJS += $(OUTDIR)/obj/slec.$(OBJ_EXT)
$(OUTDIR)/obj/slec.$(OBJ_EXT): $(IP_SRC)/common/audio/soft_dsp/slec.cpp

SRC += $(IP_SRC)/common/audio/soft_dsp/saec.cpp
BOXOBJS += $(OUTDIR)/obj/saec.$(OBJ_EXT)
$(OUTDIR)/obj/saec.$(OBJ_EXT): $(IP_SRC)/common/audio/soft_dsp/saec.cpp

SRC += $(IP_SRC)/common/audio/soft_dsp/powerlim.cpp
BOXOBJS += $(OUTDIR)/obj/powerlim.$(OBJ_EXT)
$(OUTDIR)/obj/powerlim.$(OBJ_EXT): $(IP_SRC)/common/audio/soft_dsp/powerlim.cpp

SRC += $(IP_SRC)/common/audio/soft_dsp/dyncompr.cpp
BOXOBJS += $(OUTDIR)/obj/dyncompr.$(OBJ_EXT)
$(OUTDIR)/obj/dyncompr.$(OBJ_EXT): $(IP_SRC)/common/audio/soft_dsp/dyncompr.cpp

SRC += $(IP_SRC)/common/audio/soft_dsp/peaklim.cpp
BOXOBJS += $(OUTDIR)/obj/peaklim.$(OBJ_EXT)
$(OUTDIR)/obj/peaklim.$(OBJ_EXT): $(IP_SRC)/common/audio/soft_dsp/peaklim.cpp

SRC += $(IP_SRC)/common/audio/soft_dsp/gain.cpp
BOXOBJS += $(OUTDIR)/obj/gain.$(OBJ_EXT)
$(OUTDIR)/obj/gain.$(OBJ_EXT): $(IP_SRC)/common/audio/soft_dsp/gain.cpp

SRC += $(IP_SRC)/common/audio/soft_dsp/noisesup.cpp
BOXOBJS += $(OUTDIR)/obj/noisesup.$(OBJ_EXT)
$(OUTDIR)/obj/noisesup.$(OBJ_EXT): $(IP_SRC)/common/audio/soft_dsp/noisesup.cpp

endif
endif
endif
